PacketByteArrayOutputStream (ActiveIO 1.0 API)
Keywords: org.activeio.adapter.PacketByteArrayOutputStream class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.adapter
Class PacketByteArrayOutputStream

    java.lang.Object
      java.io.OutputStream
          org.activeio.adapter.PacketByteArrayOutputStream

public final class PacketByteArrayOutputStream
extends java.io.OutputStream

Field Summary
`(package private) int` | `nextAllocationSize`

Constructor Summary
`PacketByteArrayOutputStream()`
`PacketByteArrayOutputStream(int initialSize)`

Method Summary
`protected Packet` | `allocate()`
`Packet` | `getPacket()`
`int` | `position()`
`void` | `reset()`
`void` | `skip(int size)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nextAllocationSize

    int nextAllocationSize

Constructor Detail

### PacketByteArrayOutputStream

    public PacketByteArrayOutputStream()

### PacketByteArrayOutputStream

    public PacketByteArrayOutputStream(int initialSize)

Method Detail

### allocate

    protected Packet allocate()

### skip

    public void skip(int size)

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPacket

    public Packet getPacket()

### reset

    public void reset()

### position

    public int position()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.